<div>
    <h2>
        <span jhiTranslate="mpmApp.purchasingItem.home.title">Purchasing Items</span>
        <button class="btn btn-primary float-right jh-create-entity create-purchasing-item" [routerLink]="['/', { outlets: { popup: ['purchasing-item-new'] } }]">
            <span class="fa fa-plus"></span>
            <span class="hidden-sm-down"  jhiTranslate="mpmApp.purchasingItem.home.createLabel">
            Create new Purchasing Item
            </span>
        </button>
    </h2>
    <jhi-alert></jhi-alert>
    <div class="row">
        <div class="col-sm-12">
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch" name="currentSearch" placeholder="{{ 'mpmApp.purchasingItem.home.search' | translate }}">
                    <button class="input-group-addon btn btn-info" (click)="search(currentSearch)">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                </div>
            </form>
        </div>
    </div>
    <br/>
    <div class="table-responsive" *ngIf="purchasingItems">
        <table class="table table-striped">
            <thead>
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="reverse" [callback]="transition.bind(this)">
            <th jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="idpurchasingitem"><span jhiTranslate="mpmApp.purchasingItem.idpurchasingitem">Idpurchasingitem</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="idpurchasingfk"><span jhiTranslate="mpmApp.purchasingItem.idpurchasingfk">Idpurchasingfk</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="productcode"><span jhiTranslate="mpmApp.purchasingItem.productcode">Productcode</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="productname"><span jhiTranslate="mpmApp.purchasingItem.productname">Productname</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="qty"><span jhiTranslate="mpmApp.purchasingItem.qty">Qty</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="ppqty"><span jhiTranslate="mpmApp.purchasingItem.ppqty">Ppqty</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="price"><span jhiTranslate="mpmApp.purchasingItem.price">Price</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="bidprice"><span jhiTranslate="mpmApp.purchasingItem.bidprice">Bidprice</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="totalprice"><span jhiTranslate="mpmApp.purchasingItem.totalprice">Totalprice</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="dtsent"><span jhiTranslate="mpmApp.purchasingItem.dtsent">Dtsent</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="divitions"><span jhiTranslate="mpmApp.purchasingItem.divitions">Divitions</span> <span class="fa fa-sort"></span></th>
            <th></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let purchasingItem of purchasingItems ;trackBy: trackId">
                <td><a [routerLink]="['../purchasing-item', purchasingItem.id ]">{{purchasingItem.id}}</a></td>
                <td>{{purchasingItem.idpurchasingitem}}</td>
                <td>{{purchasingItem.idpurchasingfk}}</td>
                <td>{{purchasingItem.productcode}}</td>
                <td>{{purchasingItem.productname}}</td>
                <td>{{purchasingItem.qty}}</td>
                <td>{{purchasingItem.ppqty}}</td>
                <td>{{purchasingItem.price}}</td>
                <td>{{purchasingItem.bidprice}}</td>
                <td>{{purchasingItem.totalprice}}</td>
                <td>{{purchasingItem.dtsent | date:'medium'}}</td>
                <td>{{purchasingItem.divitions}}</td>
                <td class="text-right">
                    <div class="btn-group flex-btn-group-container">
                        <button type="submit"
                                [routerLink]="['../purchasing-item', purchasingItem.id ]"
                                class="btn btn-info btn-sm">
                            <span class="fa fa-eye"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'purchasing-item/'+ purchasingItem.id + '/edit'} }]"
                                replaceUrl="true"
                                class="btn btn-primary btn-sm">
                            <span class="fa fa-pencil"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'purchasing-item/'+ purchasingItem.id + '/delete'} }]"
                                replaceUrl="true"
                                class="btn btn-danger btn-sm">
                            <span class="fa fa-remove"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
        <div *ngIf="purchasingItems && purchasingItems.length">
            <div class="row justify-content-center">
                <jhi-item-count [page]="page" [total]="queryCount" [itemsPerPage]="itemsPerPage"></jhi-item-count>
            </div>
            <div class="row justify-content-center">
                <ngb-pagination [collectionSize]="totalItems" [(page)]="page" (pageChange)="loadPage(page)"></ngb-pagination>
            </div>
        </div>
</div>
